ORAEMCMAP(8)

NAME
oraemcmap - A utility, which is part of the NetWorker Module for EMC Symmetrix for Oracle, used for showing the configuration of Oracle tablespaces and datafiles installed on an EMC Symmetrix disk array.

SYNOPSIS
oraemcmap [ -S oraclesid ] [ -H oraclehome ]
[ -M BCV | RDFBCV ] [ -T tablespace ... ]

DESCRIPTION
The oraemcmap utility displays the current Oracle database and EMC Symmetrix TimeFinder or SRDF configuration. This program should be run after each successful oraemcasm(8) backup, and the output permanantely saved. Recovering an Oracle database which was saved from a BCV, or remote BCV device (across an SRDF link) using oraemcasm(8) requires knowing the original tablespace layout on the Symmetrix devices and datafile names, which this utility will provide for you. The oraemcmap(8) utility queries the Symmetrix unit and your Oracle database to locate tablespace names and how these tablespaces are mapped onto the Symmetrix devices. When available, oraemcmap(8) will display the following information for each tablespace in the database:
    Tablespace: tablesapce-name
      Datafile: datafile-name
            Disk Group: group-name    Volume: volume-name
               Std Dev: device-info     paired dev: device-info
Note:
    On HP/UX, the "Disk Group" field label is called "Vol. Group". The "device-info" is displayed as SymmID-SymmDev The "paired dev" output varies depending upon which backup method is being employed. Possible field label values are:
    	BCV - for BCV backups
    	Remote BCV - for remote BCV (or RDFBCV) backups

OPTIONS

-S oraclesid
    Specify which instance of the Oracle database should be queried. If not specified, $ORACLE_SID, from the environment, is used.

-H oraclehome
    Specify the Oracle home directory (for the instance being queried). If not specifed, $ORACLE_HOME, from the environment, is used.

-M BCV | RDFBCV
    Specify the backup method that will be employed against this database. Backup methods correspond to values entered into your oraemcasm resource file. If no backup method is specified, BCV is used.

-T tablespace ...
    Specify the tablespace (or tablespaces), you wish to display mapping information about. The default is to list all tablespaces in the database.

EXAMPLES

Display Configuration Information The following example displays remote BCV device information about the TOOLS tablespace:

    oraemcmap -S EMCSOL2 -H /oracle/oracle_733 -M RDFBCV -T TOOLS

    Tablespace: TOOLS
      Datafile: /lvms/lv01dg01/oradata/EMCSOL2/tools02.dbf
            Disk Group: dg01            Volume: vol01
               Std Dev: 000183500313-0B9    Remote BCV: 000183500311-051
               Std Dev: 000183500313-0B8    Remote BCV: 000183500311-050
      Datafile: /symm02/oradata/EMCSOL2/tools03.dbf
                Device: /dev/rdsk/c1t1d1s1
               Std Dev: 000183500313-0B1    Remote BCV: 000183500311-049
      Datafile: /dev/rdsk/c1t1d3s4
               Std Dev: 000183500313-0B3    Remote BCV: 000183500311-04B

In this example, notice that the TOOLS tablespace is comprised of three datafiles. Also notice, the Symmetrix ID is 000183500313 for the standard devices and 000183500311 is the Symmetrix ID where remote BCVs are located. This example displays BCV device information (default) for the USERS tablespace. Also, $ORACLE_HOME and $ORACLE_SID have both been set.

    oraemcmap -T USERS
    Tablespace: USERS
      Datafile: /symmvxfs01/oradata/EMCHP1/users01.dbf
            Vol. Group: vg01            Volume: lvol2
               Std Dev: 000183500311-0C7           BCV: 0EF
               Std Dev: 000183500311-0C6           BCV: 0EE

Notice that this was run from an HP/UX machine (i.e. "Vol. Group" instead of "Disk Group"). Also notice that the Symmetrix ID is not displayed for the BCV device. An appropriate message will be displayed if the device is not a Symmetrix device.

Send oraemcmap output to the printer
    Assuming $ORACLE_SID contains the name of your Oracle instance, and $ORACLE_HOME points to the Oracle home directory, you can run oraemcmap and send the output to your default printer by running:

        oraemcmap | lpr

SEE ALSO
oraemcasm(8), emcdiscover(8)